Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config
Class ConfigurationManager

    java.lang.Object
      com.opensymphony.xwork2.config.ConfigurationManager

    public class ConfigurationManager

extends Object

ConfigurationManager - central for XWork Configuration management, including its ConfigurationProvider.

Version:
  $Date$ $Id$
Author:
  Jason Carreira, tm_jee

Field Summary
`protected Configuration` | `configuration`
`protected String` | `defaultFrameworkBeanName`
`protected static Logger` | `LOG`
`protected Lock` | `providerLock`

Constructor Summary
`ConfigurationManager()`
`ConfigurationManager(String name)`

Method Summary
`void` | `addContainerProvider(ContainerProvider provider)` adds a configuration provider to the List of ConfigurationProviders.
`void` | `clearContainerProviders()`
`void` | `conditionalReload()` Reloads the Configuration files if the configuration files indicate that they need to be reloaded.
`protected Configuration` | `createConfiguration(String beanName)`
`void` | `destroyConfiguration()` Destroy its managing Configuration instance
`Configuration` | `getConfiguration()` Get the current XWork configuration object.
`List<ContainerProvider>` | `getContainerProviders()` Get the current list of ConfigurationProviders.
`void` | `reload()`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setContainerProviders(List<ContainerProvider> containerProviders)` Set the list of configuration providers

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final Logger LOG

### configuration

    protected Configuration configuration

### providerLock

    protected Lock providerLock

### defaultFrameworkBeanName

    protected String defaultFrameworkBeanName

Constructor Detail

### ConfigurationManager

    public ConfigurationManager()

### ConfigurationManager

    public ConfigurationManager(String name)

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the current XWork configuration object. By default an instance of DefaultConfiguration will be returned

  See Also:
    `DefaultConfiguration`

### createConfiguration

    protected Configuration createConfiguration(String beanName)

### setConfiguration

    public void setConfiguration(Configuration configuration)

### getContainerProviders

    public List<ContainerProvider> getContainerProviders()

  Get the current list of ConfigurationProviders. If no custom ConfigurationProviders have been added, this method will return a list containing only the default ConfigurationProvider, XMLConfigurationProvider. if a custom ConfigurationProvider has been added, then the XmlConfigurationProvider must be added by hand.

  TODO: the lazy instantiation of XmlConfigurationProvider should be refactored to be elsewhere. the behavior described above seems unintuitive.

  Returns:
    the list of registered ConfigurationProvider objects
  See Also:
    `ConfigurationProvider`

### setContainerProviders

    public void setContainerProviders(List<ContainerProvider> containerProviders)

  Set the list of configuration providers

  Parameters:
    `containerProviders` - list of `ConfigurationProvider` to be set

### addContainerProvider

    public void addContainerProvider(ContainerProvider provider)

  adds a configuration provider to the List of ConfigurationProviders. a given ConfigurationProvider may be added more than once

  Parameters:
    `provider` - the ConfigurationProvider to register

### clearContainerProviders

    public void clearContainerProviders()

### destroyConfiguration

    public void destroyConfiguration()

  Destroy its managing Configuration instance

### conditionalReload

    public void conditionalReload()

  Reloads the Configuration files if the configuration files indicate that they need to be reloaded.

### reload

    public void reload()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.